Package org.apache.sysds.hops.fedplanner

## Class AFederatedPlanner

- java.lang.Object
- - org.apache.sysds.hops.fedplanner.AFederatedPlanner

Direct Known Subclasses:
  `FederatedPlannerCostbased`, `FederatedPlannerFedAll`

    public abstract class AFederatedPlanner
    extends Object

### Constructor Summary

Constructors
`AFederatedPlanner()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `rewriteFunctionDynamic​(FunctionStatementBlock function, LocalVariableMap funcArgs)` Selects a federated execution plan for the given function, taking into account federation types of the arguments.
`abstract void` `rewriteProgram​(DMLProgram prog, FunctionCallGraph fgraph, FunctionCallSizeInfo fcallSizes)` Selects a federated execution plan for the given program by setting the forced execution type.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AFederatedPlanner

    public AFederatedPlanner()

### Method Detail

#### rewriteProgram

    public abstract void rewriteProgram​(DMLProgram prog,
                                        FunctionCallGraph fgraph,
                                        FunctionCallSizeInfo fcallSizes)

Selects a federated execution plan for the given program by setting the forced execution type.

Parameters:
  `prog` - dml program
  `fgraph` - function call graph
  `fcallSizes` - function call graph sizes

#### rewriteFunctionDynamic

    public abstract void rewriteFunctionDynamic​(FunctionStatementBlock function,
                                                LocalVariableMap funcArgs)

Selects a federated execution plan for the given function, taking into account federation types of the arguments.

Parameters:
  `function` - The function statement block to recompile.
  `funcArgs` - The function arguments.